summaryrefslogtreecommitdiffstats
path: root/games/openarena/openarena.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/openarena/openarena.SlackBuild')
-rw-r--r--games/openarena/openarena.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/games/openarena/openarena.SlackBuild b/games/openarena/openarena.SlackBuild
new file mode 100644
index 0000000000..62e8dcc3e7
--- /dev/null
+++ b/games/openarena/openarena.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for OpenArena
+
+# Written by Chess Griffin <chess@chessgriffin.com>
+
+PRGNAM=openarena
+VERSION=${VERSION:-0.7.0}
+FINAL_VERSION=${FINAL_VERSION:-0.7.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="CHANGES COPYING CREDITS LINUXNOTES README $CWD/$PRGNAM.SlackBuild"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+if test ! -f "oa071-patch.zip";
+ then echo "You need the oa71-patch.zip file in order to proceed. \
+Please download it from: \
+http://oxygen4.free.fr/dl/oa071-patch.zip and then re-run \
+this SlackBuild."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -o $CWD/oa070.zip
+unzip -o $CWD/oa071-patch.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Uncomment the next line to disable semi-nude models
+# rm -f baseoa/pak2-players-mature.pk3
+
+install -D -m 0644 $CWD/openarena-server.desktop \
+ $PKG/usr/share/applications/openarena-server.desktop
+install -D -m 0644 $CWD/openarena.desktop \
+ $PKG/usr/share/applications/openarena.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/*.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$FINAL_VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$FINAL_VERSION
+find $PKG/usr/doc/$PRGNAM-$FINAL_VERSION -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/usr/share/games/openarena/baseoa
+cp -a baseoa/* $PKG/usr/share/games/openarena/baseoa
+find $PKG/usr/share/games/openarena/baseoa -type f -exec chmod 0644 {} \;
+cp -a ioq* lib* openarena* $PKG/usr/share/games/openarena
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+chmod 755 $PKG/usr/share/games/openarena/*
+
+mkdir -p $PKG/usr/games
+cd $PKG/usr/games
+ ln -sf /usr/share/games/openarena/ioquake3.i386 openarena
+ ln -sf /usr/share/games/openarena/ioq3ded.i386 openarena-server
+cd -
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$FINAL_VERSION-$ARCH-$BUILD$TAG.tgz